Bug 431161 - Review Request: mathmap - A gimp plugin and commandline tool
Review Request: mathmap - A gimp plugin and commandline tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 22:25 EST by Robin Norwood
Modified: 2008-06-03 03:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2.4-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 03:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2008-01-31 22:25:20 EST
Spec URL: http://people.redhat.com/rnorwood/rpms/mathmap.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/mathmap-1.2.4-1.fc9.src.rpm
Description: MathMap is a GIMP plug-in which allows distortion of images specified
by mathematical formulae.  For each pixel in the generated image, an
expression is evaluated which should return a pixel value.  The
expression can either refer to a pixel in the source image or can
generate pixels completely independent of the source.
Comment 1 Robin Norwood 2008-01-31 22:27:55 EST
There are unfortunately a few rpmlint warnings:

mathmap.i386: W: devel-file-in-non-devel-package
/usr/share/gimp/2.0/mathmap/new_template.c
mathmap.i386: W: devel-file-in-non-devel-package
/usr/share/gimp/2.0/mathmap/blender_opmacros.h
mathmap.i386: W: devel-file-in-non-devel-package /usr/share/gimp/2.0/mathmap/pools.h
mathmap.i386: W: devel-file-in-non-devel-package
/usr/share/gimp/2.0/mathmap/opmacros.h
mathmap.i386: W: devel-file-in-non-devel-package
/usr/share/gimp/2.0/mathmap/blender_template.c

These seem to be required for the plugin to work at runtime, despite being
source files.

mathmap.i386: W: symlink-should-be-relative /usr/lib/gimp/2.0/plug-ins/mathmap
/usr/bin/mathmap

Not sure if this matters.

mathmap.i386: E: only-non-binary-in-usr-lib

I don't think I can fix this, because the gimp plugin path isn't picked by me
Comment 2 Mamoru TASAKA 2008-02-06 08:17:00 EST
First of all, rebuild doesn't succeed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=398683
You can check this by koji scratch build.

From just glancing at your spec file:
- Source must be given with full URL
- Fedora specific compilation flags don't seem to be honored
  correctly.
- Would you try to use relative symlink instead of absolute one?
- When using "install" or "cp" commands, add "-p" option to keep
  timestamps on installed files.
- It seems "Requires: gimp" is needed because 
  `gimptool --gimpdatadir` is owned by gimp but not by gimp-libs.
Comment 3 Robin Norwood 2008-02-07 14:14:45 EST
- Source must be given with full URL

Fixed.

- Fedora specific compilation flags don't seem to be honored
  correctly.

Maybe I'm being dense, but I'm not sure what you mean.

- Would you try to use relative symlink instead of absolute one?

Fixed.

- When using "install" or "cp" commands, add "-p" option to keep
  timestamps on installed files.

Fixed.

- It seems "Requires: gimp" is needed because 
  `gimptool --gimpdatadir` is owned by gimp but not by gimp-libs.

Fixed.

New spec and srpm at:
http://people.redhat.com/rnorwood/rpms/mathmap.spec
http://people.redhat.com/rnorwood/rpms/mathmap-1.2.4-2.fc9.src.rpm
Comment 4 Mamoru TASAKA 2008-02-08 10:06:14 EST
* compiler falgs
  - Well, what "Fedora specific compilation flags are not honored" means
    is related to "Compiler flags" of
    http://fedoraproject.org/wiki/Packaging/Guidelines
    When using gcc or g++, we must ensure that the compiler option specified
    as %optflags are correctly used. On rawhide i386 system, currently
    they are:
-----------------------------------------------------------------------------
[tasaka1@localhost ~]$ rpm --eval %optflags
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables
------------------------------------------------------------------------------
    However the build log (from:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=402716 )
    shows:
-------------------------------------------------------------------------------
gcc -I. -D_GNU_SOURCE -DCGEN_CC="\"gcc -O2 -c -fPIC -o\"" -DCGEN_LD="\"gcc
-shared -o\"" -O2 -Wall `gimptool-2.0 --cflags` `pkg-config --cflags gmodule-2.0
gthread-2.0 gtksourceview-1.0` -DLOCALEDIR=\"/usr/local/share/locale\"
-DTEMPLATE_DIR=\"`gimptool-2.0 --gimpdatadir`/mathmap\"
-DPIXMAP_DIR=\"`gimptool-2.0 --gimpdatadir`/mathmap\" -DENABLE_NLS 
-DMATHMAP_CMDLINE -DGIMPDATADIR=\"`gimptool-2.0 --gimpdatadir`\"
-DMATHMAP_VERSION=\"1.2.4\" -DRWIMG_JPEG -DRWIMG_PNG -DRWIMG_GIF -o
mathmap_common.o -c mathmap_common.c
-------------------------------------------------------------------------------
   , where %optflags are not correctly honored.

* LOCALEDIR
  - And as far as I checked build.log, perhaps LOCALEDIR is wrong.
Comment 5 Mamoru TASAKA 2008-02-22 12:32:10 EST
ping?
Comment 6 Robin Norwood 2008-02-22 12:52:46 EST
I need to take the time to convince it to honor the %optflags, but I haven't had
a chance yet.
Comment 7 Mamoru TASAKA 2008-03-31 09:30:23 EDT
ping again?
Comment 8 Mamoru TASAKA 2008-04-29 11:58:38 EDT
ping again?
Comment 9 Mamoru TASAKA 2008-05-08 10:38:44 EDT
I will close this bug as NOTABUG if no response is received from the
reporter within ONE WEEK.
Comment 10 Robin Norwood 2008-05-12 13:50:34 EDT
Sorry about the delay, I've been knee deep in other stuff for awhile.  I'll take
another look at this today.
Comment 11 Robin Norwood 2008-05-12 15:11:35 EDT
Ok, I think this new spec and SRPM fix both the optflags problem and the locale
directory problem:

http://people.redhat.com/rnorwood/rpms/mathmap.spec
http://people.redhat.com/rnorwood/rpms/mathmap-1.2.4-3.fc9.src.rpm

Koji build against dist-f10:

http://koji.fedoraproject.org/koji/taskinfo?taskID=605186
Comment 12 Mamoru TASAKA 2008-05-13 13:03:30 EDT
Well, for 1.2.4-3:

* This package should have explicit "Requires: gimp" as
  - currently only gimp-libs is installed together by yum from library
    dependency
  - on the other hand $(gimptool --gimpdatadir) is owned by gimp,
    not by gimp-libs

Other things are okay.
-----------------------------------------------------------------------
       This package (mathmap) is APPROVED by me
-----------------------------------------------------------------------
Comment 13 Mamoru TASAKA 2008-05-21 12:03:24 EDT
ping?
Comment 14 Robin Norwood 2008-05-21 14:26:14 EDT
Added the 'Requires: gimp':

http://people.redhat.com/rnorwood/rpms/mathmap.spec
http://people.redhat.com/rnorwood/rpms/mathmap-1.2.4-4.fc9.src.rpm

Since you've approved it with this change, here's the cvs request:

New Package CVS Request
=======================
Package Name: mathmap
Short Description: A gimp plugin and commandline tool
Owners: rnorwood
Branches: F-9
InitialCC: 
Cvsextras Commits: Yes

Comment 15 Kevin Fenzi 2008-05-22 14:31:40 EDT
cvs done.
Comment 16 Mamoru TASAKA 2008-05-25 08:05:08 EDT
Please submit a F-9 updates request on bodhi. closing.
Comment 17 Fedora Update System 2008-05-27 11:50:06 EDT
mathmap-1.2.4-4.fc9 has been submitted as an update for Fedora 9
Comment 18 Fedora Update System 2008-06-03 03:29:30 EDT
mathmap-1.2.4-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.